Skip to main content
GET
/
products
/
search-products
/
v2
Search products
curl --request GET \
  --url https://api.collectpure.com/products/search-products/v2 \
  --header 'x-api-key: <api-key>'
{
  "found": 123,
  "hits": [
    {
      "document": {
        "id": "<string>",
        "title": "<string>",
        "description": "<string>",
        "sku": "<string>",
        "category": "<string>",
        "sub_category": "<string>",
        "material": "<string>",
        "manufacturer": "<string>",
        "weight": "<string>",
        "weight_grams": 123,
        "purity": "<string>",
        "premium_calculation_type": "<string>",
        "view_count": 123,
        "certificate_provider": "<string>",
        "attributes": [
          123
        ],
        "variants": [
          "<string>"
        ],
        "images": [
          "<string>"
        ],
        "listing_id": "<string>",
        "listing_price": 123,
        "listing_spot_premium": 123,
        "listing_spot_premium_dollar": 123,
        "listing_expires_at": "<string>",
        "offer_id": "<string>",
        "offer_price": 123,
        "offer_spot_premium": 123,
        "offer_spot_premium_dollar": 123,
        "offer_expires_at": "<string>",
        "is_stocked_by_bb_store": true,
        "is_certified": true,
        "is_esg": true,
        "is_ira": true,
        "is_numismatic": true,
        "has_listing": true,
        "has_offer": true,
        "favorite_count": 123,
        "created_at": "<string>",
        "updated_at": "<string>"
      },
      "highlights": [
        {
          "field": "<string>",
          "matched_tokens": [
            "<string>"
          ],
          "snippet": "<string>"
        }
      ],
      "text_match": 123,
      "text_match_info": {
        "best_field_score": "<string>",
        "best_field_weight": 123,
        "fields_matched": 123,
        "score": "<string>",
        "tokens_matched": 123
      }
    }
  ],
  "facet_counts": [
    {
      "field_name": "<string>",
      "counts": [
        {
          "value": "<string>",
          "count": 123,
          "highlighted": "<string>"
        }
      ],
      "stats": {
        "min": 123,
        "max": 123,
        "sum": 123,
        "avg": 123,
        "total_values": 123
      }
    }
  ],
  "page": 123,
  "out_of": 123,
  "search_time_ms": 123,
  "request_params": {
    "collection_name": "<string>",
    "per_page": 123,
    "q": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

query
string
required
pagination
object
filter_by
string

Response

200 - application/json

Default Response

found
number
required
hits
object[]
facet_counts
object[]
page
number
out_of
number
search_time_ms
number
request_params
object